Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class FileUploadTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.FileUploadTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class FileUploadTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`FileUploadTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAcceptedTypes(javax.el.ValueExpression __acceptedTypes)` Files types allowed to upload Setter for acceptedTypes
`void` | `setAccesskey(javax.el.ValueExpression __accesskey)` This attribute assigns an access key to an element.
`void` | `setAddButtonClass(javax.el.ValueExpression __addButtonClass)` CSS style for add button Setter for addButtonClass
`void` | `setAddButtonClassDisabled(javax.el.ValueExpression __addButtonClassDisabled)` CSS style for add button disabled Setter for addButtonClassDisabled
`void` | `setAlign(javax.el.ValueExpression __align)` left|center|right|justify [CI] Deprecated.
`void` | `setAlt(javax.el.ValueExpression __alt)` For a user agents that cannot display images, forms, or applets, this attribute specifies alternate text.
`void` | `setAutoclear(javax.el.ValueExpression __autoclear)` If this attribute is true files will be immediatelly removed from list after upload completed Setter for autoclear
`void` | `setCancelButtonClass(javax.el.ValueExpression __cancelButtonClass)` CSS style for cancel button Setter for cancelButtonClass
`void` | `setCancelButtonClassDisabled(javax.el.ValueExpression __cancelButtonClassDisabled)` CSS style for cancel button disabled Setter for cancelButtonClassDisabled
`void` | `setCleanButtonClass(javax.el.ValueExpression __cleanButtonClass)` CSS style for clean button Setter for cleanButtonClass
`void` | `setCleanButtonClassDisabled(javax.el.ValueExpression __cleanButtonClassDisabled)` CSS style for clean button disabled Setter for cleanButtonClassDisabled
`void` | `setContentType(javax.el.ValueExpression __contentType)` the property to receive the contentType Setter for contentType
`void` | `setConverter(javax.el.ValueExpression __converter)` Id of Converter to be used or reference to a Converter Setter for converter
`void` | `setConverterMessage(javax.el.ValueExpression __converterMessage)` converterMessage Setter for converterMessage
`void` | `setDisabled(javax.el.ValueExpression __disabled)` Disabled attribute Setter for disabled
`void` | `setFileEntryClass(javax.el.ValueExpression __fileEntryClass)` CSS style upload file entry Setter for fileEntryClass
`void` | `setFileEntryClassDisabled(javax.el.ValueExpression __fileEntryClassDisabled)` CSS style upload file entry disabled Setter for fileEntryClassDisabled
`void` | `setFileEntryControlClass(javax.el.ValueExpression __fileEntryControlClass)` CSS style for upload enrty control Setter for fileEntryControlClass
`void` | `setFileEntryControlClassDisabled(javax.el.ValueExpression __fileEntryControlClassDisabled)` CSS style for upload enrty control disabled Setter for fileEntryControlClassDisabled
`void` | `setFileName(javax.el.ValueExpression __fileName)` this value binding receives the filename (optional).
`void` | `setFileSize(javax.el.ValueExpression __fileSize)` this value binding receives the file size (optional).
`void` | `setFileUploadListener(javax.el.MethodExpression __fileUploadListener)` MethodExpression representing an action listener method that will be notified after file uploaded.
`void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
`void` | `setListHeight(javax.el.ValueExpression __listHeight)` Defines height of file list Setter for listHeight
`void` | `setListWidth(javax.el.ValueExpression __listWidth)` Defines width of file list Setter for listWidth
`void` | `setLocalContentType(javax.el.ValueExpression __localContentType)` localContentType Setter for localContentType
`void` | `setLocalFileName(javax.el.ValueExpression __localFileName)` localFileName Setter for localFileName
`void` | `setLocalFileSize(javax.el.ValueExpression __localFileSize)` localFileSize Setter for localFileSize
`void` | `setLocalInputStream(javax.el.ValueExpression __localInputStream)` localInputStream Setter for localInputStream
`void` | `setLocalValueSet(javax.el.ValueExpression __localValueSet)` localValueSet Setter for localValueSet
`void` | `setMaxFilesQuantity(javax.el.ValueExpression __maxFilesQuantity)` Defines max files count allowed for upload (optional).
`void` | `setMaxlength(javax.el.ValueExpression __maxlength)` When the type attribute has the value "text" or "password", this attribute specifies the maximum number of characters you may enter.
`void` | `setOnblur(javax.el.ValueExpression __onblur)` HTML: script expression; the element lost the focus Setter for onblur
`void` | `setOnchange(javax.el.ValueExpression __onchange)` HTML: script expression; the element value was changed Setter for onchange
`void` | `setOnerror(javax.el.ValueExpression __onerror)` ${prop.xmlEncodedDescription} Setter for onerror
`void` | `setOnfocus(javax.el.ValueExpression __onfocus)` HTML: script expression; the element got the focus Setter for onfocus
`void` | `setOnselect(javax.el.ValueExpression __onselect)` HTML: script expression; The onselect event occurs when you select some text in a text field.
`void` | `setOnupload(javax.el.ValueExpression __onupload)` ${prop.xmlEncodedDescription} Setter for onupload
`void` | `setOnuploadcanceled(javax.el.ValueExpression __onuploadcanceled)` ${prop.xmlEncodedDescription} Setter for onuploadcanceled
`void` | `setOnuploadcomplete(javax.el.ValueExpression __onuploadcomplete)` ${prop.xmlEncodedDescription} Setter for onuploadcomplete
`void` | `setProgressInfo(javax.el.ValueExpression __progressInfo)` Defines bean name where progress info should be stored (optional).
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequired(javax.el.ValueExpression __required)` If "true", this component is checked for non-empty input Setter for required
`void` | `setRequiredMessage(javax.el.ValueExpression __requiredMessage)` requiredMessage Setter for requiredMessage
`void` | `setSize(javax.el.ValueExpression __size)` This attribute tells the user agent the initial width of the control.
`void` | `setTabindex(javax.el.ValueExpression __tabindex)` This attribute specifies the position of the current element in the tabbing order for the current document.
`void` | `setUploadButtonClass(javax.el.ValueExpression __uploadButtonClass)` CSS style for upload button Setter for uploadButtonClass
`void` | `setUploadButtonClassDisabled(javax.el.ValueExpression __uploadButtonClassDisabled)` CSS style for upload button disabled Setter for uploadButtonClassDisabled
`void` | `setUploadData(javax.el.ValueExpression __uploadData)` Collection of files uploaded Setter for uploadData
`void` | `setUploadListClass(javax.el.ValueExpression __uploadListClass)` CSS style for upload list Setter for uploadListClass
`void` | `setUploadListClassDisabled(javax.el.ValueExpression __uploadListClassDisabled)` CSS style for upload list disabled Setter for uploadListClassDisabled
`void` | `setValid(javax.el.ValueExpression __valid)` valid Setter for valid
`void` | `setValidator(javax.el.MethodExpression __validator)` MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
`void` | `setValidatorMessage(javax.el.ValueExpression __validatorMessage)` validatorMessage Setter for validatorMessage
`void` | `setValue(javax.el.ValueExpression __value)` The initial value to set when rendered for the first time Setter for value
`void` | `setValueChangeListener(javax.el.MethodExpression __valueChangeListener)` Listener for value changes Setter for valueChangeListener

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### FileUploadTag

    public FileUploadTag()

Method Detail

### setAcceptedTypes

    public void setAcceptedTypes(javax.el.ValueExpression __acceptedTypes)

  Files types allowed to upload Setter for acceptedTypes

  Parameters:
    `acceptedTypes` - - new value

### setAccesskey

    public void setAccesskey(javax.el.ValueExpression __accesskey)

  This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Setter for accesskey

  Parameters:
    `accesskey` - - new value

### setAddButtonClass

    public void setAddButtonClass(javax.el.ValueExpression __addButtonClass)

  CSS style for add button Setter for addButtonClass

  Parameters:
    `addButtonClass` - - new value

### setAddButtonClassDisabled

    public void setAddButtonClassDisabled(javax.el.ValueExpression __addButtonClassDisabled)

  CSS style for add button disabled Setter for addButtonClassDisabled

  Parameters:
    `addButtonClassDisabled` - - new value

### setAlign

    public void setAlign(javax.el.ValueExpression __align)

  left|center|right|justify [CI] Deprecated. This attribute specifies the horizontal alignment of its element with respect to the surrounding context. Possible values: left: text lines are rendered flush left. center: text lines are centered. right: text lines are rendered flush right. justify: text lines are justified to both margins. The default depends on the base text direction. For left to right text, the default is align=left, while for right to left text, the default is align=right Setter for align

  Parameters:
    `align` - - new value

### setAlt

    public void setAlt(javax.el.ValueExpression __alt)

  For a user agents that cannot display images, forms, or applets, this attribute specifies alternate text. The language of the alternate text is specified by the lang attribute Setter for alt

  Parameters:
    `alt` - - new value

### setAutoclear

    public void setAutoclear(javax.el.ValueExpression __autoclear)

  If this attribute is true files will be immediatelly removed from list after upload completed Setter for autoclear

  Parameters:
    `autoclear` - - new value

### setCancelButtonClass

    public void setCancelButtonClass(javax.el.ValueExpression __cancelButtonClass)

  CSS style for cancel button Setter for cancelButtonClass

  Parameters:
    `cancelButtonClass` - - new value

### setCancelButtonClassDisabled

    public void setCancelButtonClassDisabled(javax.el.ValueExpression __cancelButtonClassDisabled)

  CSS style for cancel button disabled Setter for cancelButtonClassDisabled

  Parameters:
    `cancelButtonClassDisabled` - - new value

### setCleanButtonClass

    public void setCleanButtonClass(javax.el.ValueExpression __cleanButtonClass)

  CSS style for clean button Setter for cleanButtonClass

  Parameters:
    `cleanButtonClass` - - new value

### setCleanButtonClassDisabled

    public void setCleanButtonClassDisabled(javax.el.ValueExpression __cleanButtonClassDisabled)

  CSS style for clean button disabled Setter for cleanButtonClassDisabled

  Parameters:
    `cleanButtonClassDisabled` - - new value

### setContentType

    public void setContentType(javax.el.ValueExpression __contentType)

  the property to receive the contentType Setter for contentType

  Parameters:
    `contentType` - - new value

### setConverter

    public void setConverter(javax.el.ValueExpression __converter)

  Id of Converter to be used or reference to a Converter Setter for converter

  Parameters:
    `converter` - - new value

### setConverterMessage

    public void setConverterMessage(javax.el.ValueExpression __converterMessage)

  converterMessage Setter for converterMessage

  Parameters:
    `converterMessage` - - new value

### setDisabled

    public void setDisabled(javax.el.ValueExpression __disabled)

  Disabled attribute Setter for disabled

  Parameters:
    `disabled` - - new value

### setFileEntryClass

    public void setFileEntryClass(javax.el.ValueExpression __fileEntryClass)

  CSS style upload file entry Setter for fileEntryClass

  Parameters:
    `fileEntryClass` - - new value

### setFileEntryClassDisabled

    public void setFileEntryClassDisabled(javax.el.ValueExpression __fileEntryClassDisabled)

  CSS style upload file entry disabled Setter for fileEntryClassDisabled

  Parameters:
    `fileEntryClassDisabled` - - new value

### setFileEntryControlClass

    public void setFileEntryControlClass(javax.el.ValueExpression __fileEntryControlClass)

  CSS style for upload enrty control Setter for fileEntryControlClass

  Parameters:
    `fileEntryControlClass` - - new value

### setFileEntryControlClassDisabled

    public void setFileEntryControlClassDisabled(javax.el.ValueExpression __fileEntryControlClassDisabled)

  CSS style for upload enrty control disabled Setter for fileEntryControlClassDisabled

  Parameters:
    `fileEntryControlClassDisabled` - - new value

### setFileName

    public void setFileName(javax.el.ValueExpression __fileName)

  this value binding receives the filename (optional). Setter for fileName

  Parameters:
    `fileName` - - new value

### setFileSize

    public void setFileSize(javax.el.ValueExpression __fileSize)

  this value binding receives the file size (optional). Setter for fileSize

  Parameters:
    `fileSize` - - new value

### setFileUploadListener

    public void setFileUploadListener(javax.el.MethodExpression __fileUploadListener)

  MethodExpression representing an action listener method that will be notified after file uploaded. Setter for fileUploadListener

  Parameters:
    `fileUploadListener` - - new value

### setImmediate

    public void setImmediate(javax.el.ValueExpression __immediate)

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate

  Parameters:
    `immediate` - - new value

### setListHeight

    public void setListHeight(javax.el.ValueExpression __listHeight)

  Defines height of file list Setter for listHeight

  Parameters:
    `listHeight` - - new value

### setListWidth

    public void setListWidth(javax.el.ValueExpression __listWidth)

  Defines width of file list Setter for listWidth

  Parameters:
    `listWidth` - - new value

### setLocalContentType

    public void setLocalContentType(javax.el.ValueExpression __localContentType)

  localContentType Setter for localContentType

  Parameters:
    `localContentType` - - new value

### setLocalFileName

    public void setLocalFileName(javax.el.ValueExpression __localFileName)

  localFileName Setter for localFileName

  Parameters:
    `localFileName` - - new value

### setLocalFileSize

    public void setLocalFileSize(javax.el.ValueExpression __localFileSize)

  localFileSize Setter for localFileSize

  Parameters:
    `localFileSize` - - new value

### setLocalInputStream

    public void setLocalInputStream(javax.el.ValueExpression __localInputStream)

  localInputStream Setter for localInputStream

  Parameters:
    `localInputStream` - - new value

### setLocalValueSet

    public void setLocalValueSet(javax.el.ValueExpression __localValueSet)

  localValueSet Setter for localValueSet

  Parameters:
    `localValueSet` - - new value

### setMaxFilesQuantity

    public void setMaxFilesQuantity(javax.el.ValueExpression __maxFilesQuantity)

  Defines max files count allowed for upload (optional). Setter for maxFilesQuantity

  Parameters:
    `maxFilesQuantity` - - new value

### setMaxlength

    public void setMaxlength(javax.el.ValueExpression __maxlength)

  When the type attribute has the value "text" or "password", this attribute specifies the maximum number of characters you may enter. This number may exceed the specified size, in which case the user agent should offer a scrolling mechanism. The default value for this attribute is an unlimited number Setter for maxlength

  Parameters:
    `maxlength` - - new value

### setOnblur

    public void setOnblur(javax.el.ValueExpression __onblur)

  HTML: script expression; the element lost the focus Setter for onblur

  Parameters:
    `onblur` - - new value

### setOnchange

    public void setOnchange(javax.el.ValueExpression __onchange)

  HTML: script expression; the element value was changed Setter for onchange

  Parameters:
    `onchange` - - new value

### setOnerror

    public void setOnerror(javax.el.ValueExpression __onerror)

  ${prop.xmlEncodedDescription} Setter for onerror

  Parameters:
    `onerror` - - new value

### setOnfocus

    public void setOnfocus(javax.el.ValueExpression __onfocus)

  HTML: script expression; the element got the focus Setter for onfocus

  Parameters:
    `onfocus` - - new value

### setOnselect

    public void setOnselect(javax.el.ValueExpression __onselect)

  HTML: script expression; The onselect event occurs when you select some text in a text field. This attribute may be used with the INPUT and TEXTAREA elements Setter for onselect

  Parameters:
    `onselect` - - new value

### setOnupload

    public void setOnupload(javax.el.ValueExpression __onupload)

  ${prop.xmlEncodedDescription} Setter for onupload

  Parameters:
    `onupload` - - new value

### setOnuploadcanceled

    public void setOnuploadcanceled(javax.el.ValueExpression __onuploadcanceled)

  ${prop.xmlEncodedDescription} Setter for onuploadcanceled

  Parameters:
    `onuploadcanceled` - - new value

### setOnuploadcomplete

    public void setOnuploadcomplete(javax.el.ValueExpression __onuploadcomplete)

  ${prop.xmlEncodedDescription} Setter for onuploadcomplete

  Parameters:
    `onuploadcomplete` - - new value

### setProgressInfo

    public void setProgressInfo(javax.el.ValueExpression __progressInfo)

  Defines bean name where progress info should be stored (optional). Setter for progressInfo

  Parameters:
    `progressInfo` - - new value

### setRequired

    public void setRequired(javax.el.ValueExpression __required)

  If "true", this component is checked for non-empty input Setter for required

  Parameters:
    `required` - - new value

### setRequiredMessage

    public void setRequiredMessage(javax.el.ValueExpression __requiredMessage)

  requiredMessage Setter for requiredMessage

  Parameters:
    `requiredMessage` - - new value

### setSize

    public void setSize(javax.el.ValueExpression __size)

  This attribute tells the user agent the initial width of the control. The width is given in pixels except when type attribute has the value "text" or "password". In that case, its value refers to the (integer) number of characters Setter for size

  Parameters:
    `size` - - new value

### setTabindex

    public void setTabindex(javax.el.ValueExpression __tabindex)

  This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Setter for tabindex

  Parameters:
    `tabindex` - - new value

### setUploadButtonClass

    public void setUploadButtonClass(javax.el.ValueExpression __uploadButtonClass)

  CSS style for upload button Setter for uploadButtonClass

  Parameters:
    `uploadButtonClass` - - new value

### setUploadButtonClassDisabled

    public void setUploadButtonClassDisabled(javax.el.ValueExpression __uploadButtonClassDisabled)

  CSS style for upload button disabled Setter for uploadButtonClassDisabled

  Parameters:
    `uploadButtonClassDisabled` - - new value

### setUploadData

    public void setUploadData(javax.el.ValueExpression __uploadData)

  Collection of files uploaded Setter for uploadData

  Parameters:
    `uploadData` - - new value

### setUploadListClass

    public void setUploadListClass(javax.el.ValueExpression __uploadListClass)

  CSS style for upload list Setter for uploadListClass

  Parameters:
    `uploadListClass` - - new value

### setUploadListClassDisabled

    public void setUploadListClassDisabled(javax.el.ValueExpression __uploadListClassDisabled)

  CSS style for upload list disabled Setter for uploadListClassDisabled

  Parameters:
    `uploadListClassDisabled` - - new value

### setValid

    public void setValid(javax.el.ValueExpression __valid)

  valid Setter for valid

  Parameters:
    `valid` - - new value

### setValidator

    public void setValidator(javax.el.MethodExpression __validator)

  MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator

  Parameters:
    `validator` - - new value

### setValidatorMessage

    public void setValidatorMessage(javax.el.ValueExpression __validatorMessage)

  validatorMessage Setter for validatorMessage

  Parameters:
    `validatorMessage` - - new value

### setValue

    public void setValue(javax.el.ValueExpression __value)

  The initial value to set when rendered for the first time Setter for value

  Parameters:
    `value` - - new value

### setValueChangeListener

    public void setValueChangeListener(javax.el.MethodExpression __valueChangeListener)

  Listener for value changes Setter for valueChangeListener

  Parameters:
    `valueChangeListener` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.